Bug 844253 - SAM cli command 'version' displays error
SAM cli command 'version' displays error
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Adam Price
Og Maciel
: Triaged
Depends On: 864654
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 02:29 EDT by Tazim Kolhar
Modified: 2017-06-26 16:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:39:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-07-30 02:29:12 EDT
Description of problem:
The cli command to check the version of the server fails to provide 
the appropriate version

Version-Release number of selected component (if applicable):
[root@nec-em16 ~]# rpm -qa | grep katello
katello-cli-common-0.2.45-1.fc16.noarch
katello-glue-foreman-0.2.50-1.fc16.noarch
katello-glue-pulp-0.2.50-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.32-1.fc16.noarch
katello-glue-candlepin-0.2.50-1.fc16.noarch
katello-all-0.2.53-1.fc16.noarch
katello-common-0.2.50-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-0.2.45-1.fc16.noarch
katello-0.2.50-1.fc16.noarch
katello-repos-0.2.7-1.fc16.noarch


How reproducible:
yum install -y katello-all thumbslug
katello-configure --deployment=headpin

Steps to Reproduce:
1.katello -u admin -p admin version --help
2.katello -u admin -p admin version 

  
Actual results:
[root@nec-em16 ~]# katello -u admin -p admin version
Headpin Unknown


Expected results:
The version should be displayed

Additional info:
Comment 1 Adam Price 2012-08-10 16:13:35 EDT
appears to be fixed.
Comment 2 Og Maciel 2012-10-09 17:20:50 EDT
Blocked by BZ #864654
Comment 3 Og Maciel 2012-10-11 11:49:39 EDT
# headpin -u admin -p admin version
Headpin 1.1.15-2h.el6_3
# headpin -u admin -p admin --help
Usage:  headpin <options> <command>
Supported Commands:
	activation_key activation key specific actions in the katello server
	client         client specific actions in the katello server
	environment    environment specific actions in the katello server
	org            organization specific actions in the katello server
	permission     permission specific actions in the katello server
	ping           get the status of the katello server
	product        product specific actions in the katello server
	provider       provider specific actions in the katello server
	shell          run the cli as a shell
	system         system specific actions in the katello server
	user           user specific actions in the katello server
	user_role      user role specific actions in the katello server
	version        get the version of the katello server

Options:
  -h, --help            show this help message and exit
  -v, --version         prints version information
  -d, --debug           send debug information into logs

  Katello User Account Credentials:
    -u USERNAME, --username=USERNAME
                        account username
    -p PASSWORD, --password=PASSWORD
                        account password

  Katello Server Information:
    --host=HOST         katello server host name (default:
                        localhost.localdomain)
Comment 4 Og Maciel 2012-10-11 11:50:15 EDT
Verified:

* candlepin-0.7.13-1.el6_3.noarch
* candlepin-tomcat6-0.7.13-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-1.1.11-1h.el6_3.noarch
* katello-cli-common-1.1.11-1h.el6_3.noarch
* katello-common-1.1.15-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.15-2h.el6_3.noarch
* katello-headpin-1.1.15-2h.el6_3.noarch
* katello-headpin-all-1.1.15-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 6 Bryan Kearney 2017-06-26 16:39:47 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.